# ALSA driver configuration
# This configuration is generated with the alsactl program.

soundcard("card1") {
  mixer("Cirrus Logic CS4297") {
    ; The type is 'bool'.
    switch("AC97 Mono Output Select", false)
    ; The type is 'bool'.
    switch("AC97 Second MIC", false)
    ; The type is 'bool'.
    switch("ADC/DAC Loopback", false)
    element("Input Gain Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 15
    ; Voice 1 : Min 0 Max 15
    element("Input Gain Volume",0,200,Volume1(0,0))
    element("Master Mono Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 63
    element("Master Mono Volume",0,200,Volume1(61))
    element("Headphone Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 63
    ; Voice 1 : Min 0 Max 63
    element("Headphone Volume",0,200,Volume1(63,63))
    element("Master Switch",0,101,Switch2(on))
    ; Voice 0 : Min 0 Max 63
    ; Voice 1 : Min 0 Max 63
    element("Master Volume",0,200,Volume1(63,63))
    element("Aux Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 31
    ; Voice 1 : Min 0 Max 31
    element("Aux Volume",0,200,Volume1(0,0))
    element("Video Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 31
    ; Voice 1 : Min 0 Max 31
    element("Video Volume",0,200,Volume1(30,30))
    element("CD Switch",0,101,Switch2(on))
    ; Voice 0 : Min 0 Max 31
    ; Voice 1 : Min 0 Max 31
    element("CD Volume",0,200,Volume1(31,31))
    element("Line Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 31
    ; Voice 1 : Min 0 Max 31
    element("Line Volume",0,200,Volume1(18,18))
    element("MIC Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 31
    element("MIC Volume",0,200,Volume1(17))
    ; Voice 0 : Min 0 Max 1
    element("MIC Boost",0,200,Volume1(0))
    element("Phone Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 31
    element("Phone Volume",0,200,Volume1(0))
    element("PC Speaker Switch",0,101,Switch2(off))
    ; Voice 0 : Min 0 Max 15
    element("PC Speaker Volume",0,200,Volume1(0))
    element("PCM Switch",0,101,Switch2(on))
    ; Voice 0 : Min 0 Max 31
    ; Voice 1 : Min 0 Max 31
    element("PCM Volume",0,200,Volume1(31,31))
    element("Mono Output MUX",0,401,Mux2(element("Mono-Out Accumulator",0,301)))
    element("Input MUX",0,400,Mux1(element("MIC Boost",0,200),element("MIC Boost",0,200)))
  }
}
